| USRP Hardware Driver and Device Manual Version: 4.10.0.0 UHD and USRP Manual |

Loading...
Searching...
No Matches
uhd::rfnoc::blockdef::arg_t Class Reference

Describes arguments in a block definition. More...

`#include <uhd/rfnoc/blockdef.hpp>`

Inheritance diagram for uhd::rfnoc::blockdef::arg_t:

## Detailed Description

Describes arguments in a block definition.

## Public Member Functions
| arg_t ()
bool | is_valid () const
| Basic validity check of this argument definition.
std::string | to_string () const
| Returns a string with the most important keys.

## Static Public Attributes
static const device_addr_t | ARG_ARGS
| A list of args an argument can have.
static const std::set< std::string > | VALID_TYPES

## Constructor & Destructor Documentation

## ◆ arg_t()

uhd::rfnoc::blockdef::arg_t::arg_t | ( |  | ) |

## Member Function Documentation

## ◆ is_valid()

bool uhd::rfnoc::blockdef::arg_t::is_valid | ( |  | ) | const

Basic validity check of this argument definition.

## ◆ to_string()

std::string uhd::rfnoc::blockdef::arg_t::to_string | ( |  | ) | const

Returns a string with the most important keys.

## Member Data Documentation

## ◆ ARG_ARGS

const device_addr_t uhd::rfnoc::blockdef::arg_t::ARG_ARGS
| static

A list of args an argument can have.

## ◆ VALID_TYPES

const std::set<std::string> uhd::rfnoc::blockdef::arg_t::VALID_TYPES
| static

The documentation for this class was generated from the following file:

- blockdef.hpp